org.hibernate.search.indexes.serialization.spi

## Interface Serializer

- All Known Implementing Classes:
    AvroSerializer

      public interface Serializer

  Contract between Hibernate Search and the Serialization mechanism. Step in building the specific structures are represented by a method. LuceneWorkSerializer controls the LuceneWork traversal flow.
  Author:
    Emmanuel Bernard

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdd(String entityClassName, Map<String,String> fieldToAnalyzerMap)`
    `void` | `addDelete(String entityClassName)`
    `void` | `addDeleteByQuery(String entityClassName, DeletionQuery deletionQuery)`
    `void` | `addDocument()`
    `void` | `addDocValuesFieldWithBinaryValue(LuceneFieldContext luceneFieldContext)`
    `void` | `addDocValuesFieldWithNumericValue(long value, LuceneFieldContext luceneFieldContext)`
    `void` | `addDoubleNumericField(double value, LuceneNumericFieldContext context)`
    `void` | `addFieldWithBinaryData(LuceneFieldContext luceneFieldContext)`
    `void` | `addFieldWithSerializableFieldable(byte[] fieldable)`
    `void` | `addFieldWithSerializableReaderData(LuceneFieldContext luceneFieldContext)`
    `void` | `addFieldWithStringData(LuceneFieldContext luceneFieldContext)`
    `void` | `addFieldWithTokenStreamData(LuceneFieldContext luceneFieldContext)`
    `void` | `addFloatNumericField(float value, LuceneNumericFieldContext context)`
    `void` | `addFlush()`
    `void` | `addIdAsDouble(double id)`
    `void` | `addIdAsFloat(float id)`
    `void` | `addIdAsInteger(int id)`
    `void` | `addIdAsLong(long id)`
    `void` | `addIdAsString(String id)`
    `void` | `addIdSerializedInJava(byte[] id)`
    `void` | `addIntNumericField(int value, LuceneNumericFieldContext context)`
    `void` | `addLongNumericField(long value, LuceneNumericFieldContext context)`
    `void` | `addOptimizeAll()`
    `void` | `addPurgeAll(String entityClassName)`
    `void` | `addUpdate(String entityClassName, Map<String,String> fieldToAnalyzerMap)`
    `void` | `fields(List<IndexableField> fields)`
    `void` | `luceneWorks(List<LuceneWork> works)`
    `byte[]` | `serialize()`

- - ### Method Detail

    - #### luceneWorks

          void luceneWorks(List<LuceneWork> works)

    - #### addOptimizeAll

          void addOptimizeAll()

    - #### addFlush

          void addFlush()

    - #### addPurgeAll

          void addPurgeAll(String entityClassName)

    - #### addIdSerializedInJava

          void addIdSerializedInJava(byte[] id)

    - #### addIdAsInteger

          void addIdAsInteger(int id)

    - #### addIdAsLong

          void addIdAsLong(long id)

    - #### addIdAsFloat

          void addIdAsFloat(float id)

    - #### addIdAsDouble

          void addIdAsDouble(double id)

    - #### addIdAsString

          void addIdAsString(String id)

    - #### addDelete

          void addDelete(String entityClassName)

    - #### addDeleteByQuery

          void addDeleteByQuery(String entityClassName,
                                DeletionQuery deletionQuery)

    - #### addAdd

          void addAdd(String entityClassName,
                      Map<String,String> fieldToAnalyzerMap)

    - #### addUpdate

          void addUpdate(String entityClassName,
                         Map<String,String> fieldToAnalyzerMap)

    - #### serialize

          byte[] serialize()

    - #### fields

          void fields(List<IndexableField> fields)

    - #### addIntNumericField

          void addIntNumericField(int value,
                                  LuceneNumericFieldContext context)

    - #### addLongNumericField

          void addLongNumericField(long value,
                                   LuceneNumericFieldContext context)

    - #### addFloatNumericField

          void addFloatNumericField(float value,
                                    LuceneNumericFieldContext context)

    - #### addDoubleNumericField

          void addDoubleNumericField(double value,
                                     LuceneNumericFieldContext context)

    - #### addFieldWithBinaryData

          void addFieldWithBinaryData(LuceneFieldContext luceneFieldContext)

    - #### addFieldWithStringData

          void addFieldWithStringData(LuceneFieldContext luceneFieldContext)

    - #### addFieldWithTokenStreamData

          void addFieldWithTokenStreamData(LuceneFieldContext luceneFieldContext)

    - #### addFieldWithSerializableReaderData

          void addFieldWithSerializableReaderData(LuceneFieldContext luceneFieldContext)

    - #### addFieldWithSerializableFieldable

          void addFieldWithSerializableFieldable(byte[] fieldable)

    - #### addDocValuesFieldWithBinaryValue

          void addDocValuesFieldWithBinaryValue(LuceneFieldContext luceneFieldContext)

    - #### addDocValuesFieldWithNumericValue

          void addDocValuesFieldWithNumericValue(long value,
                                                 LuceneFieldContext luceneFieldContext)

    - #### addDocument

          void addDocument()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved